#!/bin/bash

# usage: scale-cursor.sh <cursor-theme> <bigSize> <originalSize>
if [ "$#" -ne 3 ]; then
	echo "Usage: $0 <cursor-theme> <bigSize> <originalSize>"
	exit 1
fi

CURSOR_THEME="$1"
BIG_SIZE="$2"
ORIGINAL_SIZE="$3"

swaymsg "seat seat0 xcursor_theme $CURSOR_THEME $BIG_SIZE"
sleep 1
swaymsg "seat seat0 xcursor_theme $CURSOR_THEME $ORIGINAL_SIZE"
